Name:           libmygpo-qt
Version:        1.0.9
Release:        %mkrel 3
Summary:        Qt/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE
License:        GPLv3
URL:            http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0:        http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)

BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtNetwork)

%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a
   given Device" instead)

#-------------------------------------------------------------------------------
### Qt5 ###

%define mygpoqt5_major 1
%define libmygpo_qt5 %mklibname mygpo-qt5_ %{mygpoqt5_major}

%package -n %{libmygpo_qt5}
Summary:        Qt5/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE

%description -n %{libmygpo_qt5}
Qt5/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpo_qt5}
%{_libdir}/libmygpo-qt5.so.%{mygpoqt5_major}{,.*}

#-------------------------------------------------------------------------------

%define mygpoqt5devel %mklibname mygpo-qt5 -d

%package -n %{mygpoqt5devel}
Summary:        Devel stuff for mygpo-qt5
Group:          Development/KDE and Qt
Requires:       %{libmygpo_qt5} = %{version}-%{release}
Provides:       mygpo-qt5-devel = %{version}-%{release}

%description -n %{mygpoqt5devel}
This package contains header files needed if you wish to build applications
based on mygpo-qt5.

%files -n %{mygpoqt5devel}
%{_qt5_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt5.pc
%{_libdir}/libmygpo-qt5.so
%{_libdir}/cmake/mygpo-qt/Mygpo-qt5Config*.cmake
%{_libdir}/cmake/mygpo-qt/Mygpo-qt5Targets*.cmake
%dir %{_libdir}/cmake/mygpo-qt

### End Qt5 ###

#-----------------------------------------------------------------------------

### Qt4 ###

%define mygpoqt_major 1
%define libmygpoqt %mklibname mygpo-qt %{mygpoqt_major}

%package -n %{libmygpoqt}
Summary:        Qt4/C++ Library wrapping the gPodder.net Webservice
Group:          Graphical desktop/KDE
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}
Obsoletes:      %{_lib}mygpo-qt_1 < 1.0.9-3

%description -n %{libmygpoqt}
Qt4/C++ Library wrapping the gPodder.net Webservice.

%files -n %{libmygpoqt}
%{_libdir}/libmygpo-qt.so.%{mygpoqt_major}{,.*}

#-------------------------------------------------------------------------------

%define mygpodevel %mklibname mygpo-qt -d

%package -n %{mygpodevel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libmygpoqt} = %{version}-%{release}

%description -n %{mygpodevel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{mygpodevel}
%{_includedir}/mygpo-qt/
%{_libdir}/pkgconfig/libmygpo-qt.pc
%{_libdir}/libmygpo-qt.so
%{_libdir}/cmake/mygpo-qt/Mygpo-qtConfig*.cmake
%{_libdir}/cmake/mygpo-qt/Mygpo-qtTargets*.cmake
%dir %{_libdir}/cmake/mygpo-qt

### End Qt4 ###
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}.%{version}
%autopatch -p1

cp -a . %{_builddir}/qt4

%build
### Qt5 build ###
%cmake_qt5 \
        -DBUILD_WITH_QT4=OFF \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_qt5_includedir}/mygpo-qt
%make_build

### Qt4 build ###
pushd ../../qt4
%cmake_qt4 \
        -DBUILD_WITH_QT4=ON \
        -DMYGPO_BUILD_TESTS=OFF \
        -DINCLUDE_INSTALL_DIR=%{_includedir}/mygpo-qt
%make_build
popd

%install
### Qt5 install ###
%make_install -C build

### Qt4 install ###
%make_install -C ../qt4/build


%changelog
* Fri Dec 30 2016 daviddavid <daviddavid> 1.0.9-3.mga6
+ Revision: 1078657
- add the support for Qt5 and make it the default in spec
- revert previous commit for lib pkg name

* Wed Dec 28 2016 daviddavid <daviddavid> 1.0.9-2.mga6
+ Revision: 1078557
- fix header location (should be in /usr/include/mygpo-qt/)
- fix lib pkg name

* Sat Dec 17 2016 luigiwalser <luigiwalser> 1.0.9-1.mga6
+ Revision: 1075810
- 1.0.9
- update URL

* Mon Feb 08 2016 umeabot <umeabot> 1.0.8-5.mga6
+ Revision: 948165
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 742497
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.8-3.mga5
+ Revision: 726808
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-2.mga5
+ Revision: 681629
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 1.0.8-1.mga5
+ Revision: 664509
- 1.0.8

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 528569
- Mageia 4 Mass Rebuild

* Sun Jun 23 2013 luigiwalser <luigiwalser> 1.0.7-1.mga4
+ Revision: 445996
- 1.0.7
- remove upstreamed patch

* Sat Jan 12 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 357816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.0.6-1.mga3
+ Revision: 330961
- do not build test
- drop merged patch
- new version 1.0.6

* Mon Dec 05 2011 dmorgan <dmorgan> 1.0.5-2.mga2
+ Revision: 176621
- Fix pkgconfig ( Version was missing)

* Sun Dec 04 2011 fwang <fwang> 1.0.5-1.mga2
+ Revision: 175983
- fix installation on 64 bit env
- update file list
- new version 1.0.5

* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76179
- rebuild for bug #497

* Tue Mar 22 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 75440
- imported package libmygpo-qt

